#ifndef _SYNAPSE_H
#define _SYNAPSE_H
#include <iostream>
#include <ctime>
#include <cstdlib>
#include <fstream>
#include "global.h"
using namespace std;

class Synapse{
    private:
        double weight;
    public:
        Synapse(const double w=0.0);
        double getWeight() const;
        void setWeight(const double w);
        void operator =(const double w);
        Synapse& operator =(const Synapse& s);
        void setRandomWeight();
        friend ostream& operator<<(ostream& os,const Synapse &s);
        istream& operator >>(double d);
};
#endif
